// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.18.1
// source: backup/backup_service.proto

package backup

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type BackupBlob_Type int32

const (
	BackupBlob_unknown           BackupBlob_Type = 0
	BackupBlob_array             BackupBlob_Type = 1
	BackupBlob_journal_counter   BackupBlob_Type = 2
	BackupBlob_journal_last_item BackupBlob_Type = 3
	BackupBlob_journal_record    BackupBlob_Type = 4
	BackupBlob_queue_record      BackupBlob_Type = 5
	BackupBlob_queue_index       BackupBlob_Type = 6
)

// Enum value maps for BackupBlob_Type.
var (
	BackupBlob_Type_name = map[int32]string{
		0: "unknown",
		1: "array",
		2: "journal_counter",
		3: "journal_last_item",
		4: "journal_record",
		5: "queue_record",
		6: "queue_index",
	}
	BackupBlob_Type_value = map[string]int32{
		"unknown":           0,
		"array":             1,
		"journal_counter":   2,
		"journal_last_item": 3,
		"journal_record":    4,
		"queue_record":      5,
		"queue_index":       6,
	}
)

func (x BackupBlob_Type) Enum() *BackupBlob_Type {
	p := new(BackupBlob_Type)
	*p = x
	return p
}

func (x BackupBlob_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BackupBlob_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_backup_backup_service_proto_enumTypes[0].Descriptor()
}

func (BackupBlob_Type) Type() protoreflect.EnumType {
	return &file_backup_backup_service_proto_enumTypes[0]
}

func (x BackupBlob_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BackupBlob_Type.Descriptor instead.
func (BackupBlob_Type) EnumDescriptor() ([]byte, []int) {
	return file_backup_backup_service_proto_rawDescGZIP(), []int{0, 0}
}

type BackupBlob struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type BackupBlob_Type `protobuf:"varint,1,opt,name=type,proto3,enum=arrays.BackupBlob_Type" json:"type,omitempty"`
	Meta []byte          `protobuf:"bytes,2,opt,name=meta,proto3" json:"meta,omitempty"`
	Data []byte          `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *BackupBlob) Reset() {
	*x = BackupBlob{}
	if protoimpl.UnsafeEnabled {
		mi := &file_backup_backup_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BackupBlob) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BackupBlob) ProtoMessage() {}

func (x *BackupBlob) ProtoReflect() protoreflect.Message {
	mi := &file_backup_backup_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BackupBlob.ProtoReflect.Descriptor instead.
func (*BackupBlob) Descriptor() ([]byte, []int) {
	return file_backup_backup_service_proto_rawDescGZIP(), []int{0}
}

func (x *BackupBlob) GetType() BackupBlob_Type {
	if x != nil {
		return x.Type
	}
	return BackupBlob_unknown
}

func (x *BackupBlob) GetMeta() []byte {
	if x != nil {
		return x.Meta
	}
	return nil
}

func (x *BackupBlob) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_backup_backup_service_proto protoreflect.FileDescriptor

var file_backup_backup_service_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x2f, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x61,
	0x72, 0x72, 0x61, 0x79, 0x73, 0x22, 0xe5, 0x01, 0x0a, 0x0a, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70,
	0x42, 0x6c, 0x6f, 0x62, 0x12, 0x2b, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x17, 0x2e, 0x61, 0x72, 0x72, 0x61, 0x79, 0x73, 0x2e, 0x42, 0x61, 0x63, 0x6b,
	0x75, 0x70, 0x42, 0x6c, 0x6f, 0x62, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x81, 0x01, 0x0a, 0x04, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x75, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x10, 0x00, 0x12,
	0x09, 0x0a, 0x05, 0x61, 0x72, 0x72, 0x61, 0x79, 0x10, 0x01, 0x12, 0x13, 0x0a, 0x0f, 0x6a, 0x6f,
	0x75, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x65, 0x72, 0x10, 0x02, 0x12,
	0x15, 0x0a, 0x11, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x6c, 0x61, 0x73, 0x74, 0x5f,
	0x69, 0x74, 0x65, 0x6d, 0x10, 0x03, 0x12, 0x12, 0x0a, 0x0e, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61,
	0x6c, 0x5f, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x10, 0x04, 0x12, 0x10, 0x0a, 0x0c, 0x71, 0x75,
	0x65, 0x75, 0x65, 0x5f, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x10, 0x05, 0x12, 0x0f, 0x0a, 0x0b,
	0x71, 0x75, 0x65, 0x75, 0x65, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x10, 0x06, 0x32, 0x72, 0x0a,
	0x06, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x12, 0x34, 0x0a, 0x08, 0x44, 0x6f, 0x77, 0x6e, 0x6c,
	0x6f, 0x61, 0x64, 0x12, 0x12, 0x2e, 0x61, 0x72, 0x72, 0x61, 0x79, 0x73, 0x2e, 0x42, 0x61, 0x63,
	0x6b, 0x75, 0x70, 0x42, 0x6c, 0x6f, 0x62, 0x1a, 0x12, 0x2e, 0x61, 0x72, 0x72, 0x61, 0x79, 0x73,
	0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x42, 0x6c, 0x6f, 0x62, 0x30, 0x01, 0x12, 0x32, 0x0a,
	0x06, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x12, 0x12, 0x2e, 0x61, 0x72, 0x72, 0x61, 0x79, 0x73,
	0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x42, 0x6c, 0x6f, 0x62, 0x1a, 0x12, 0x2e, 0x61, 0x72,
	0x72, 0x61, 0x79, 0x73, 0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x42, 0x6c, 0x6f, 0x62, 0x28,
	0x01, 0x42, 0x37, 0x5a, 0x35, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x73, 0x6b, 0x6c, 0x6c, 0x7a, 0x7a, 0x2f, 0x6a, 0x6d, 0x6f, 0x74, 0x2f, 0x67, 0x6f, 0x6a, 0x6d,
	0x6f, 0x74, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x70, 0x62, 0x2f, 0x6b, 0x65, 0x65,
	0x70, 0x65, 0x72, 0x2f, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_backup_backup_service_proto_rawDescOnce sync.Once
	file_backup_backup_service_proto_rawDescData = file_backup_backup_service_proto_rawDesc
)

func file_backup_backup_service_proto_rawDescGZIP() []byte {
	file_backup_backup_service_proto_rawDescOnce.Do(func() {
		file_backup_backup_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_backup_backup_service_proto_rawDescData)
	})
	return file_backup_backup_service_proto_rawDescData
}

var file_backup_backup_service_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_backup_backup_service_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_backup_backup_service_proto_goTypes = []interface{}{
	(BackupBlob_Type)(0), // 0: arrays.BackupBlob.Type
	(*BackupBlob)(nil),   // 1: arrays.BackupBlob
}
var file_backup_backup_service_proto_depIdxs = []int32{
	0, // 0: arrays.BackupBlob.type:type_name -> arrays.BackupBlob.Type
	1, // 1: arrays.Backup.Download:input_type -> arrays.BackupBlob
	1, // 2: arrays.Backup.Upload:input_type -> arrays.BackupBlob
	1, // 3: arrays.Backup.Download:output_type -> arrays.BackupBlob
	1, // 4: arrays.Backup.Upload:output_type -> arrays.BackupBlob
	3, // [3:5] is the sub-list for method output_type
	1, // [1:3] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_backup_backup_service_proto_init() }
func file_backup_backup_service_proto_init() {
	if File_backup_backup_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_backup_backup_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BackupBlob); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_backup_backup_service_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_backup_backup_service_proto_goTypes,
		DependencyIndexes: file_backup_backup_service_proto_depIdxs,
		EnumInfos:         file_backup_backup_service_proto_enumTypes,
		MessageInfos:      file_backup_backup_service_proto_msgTypes,
	}.Build()
	File_backup_backup_service_proto = out.File
	file_backup_backup_service_proto_rawDesc = nil
	file_backup_backup_service_proto_goTypes = nil
	file_backup_backup_service_proto_depIdxs = nil
}
